<ng-container *ngIf="render$ | async">
  <ng-container *ngIf="!!group.multiple && !!arrayAnswersControl">
    <ng-container *ngFor="let groupControl of arrayAnswersControl.controls; let i = index">
      <div class="card mb-3">
        <div class="card-body">
          <h3 *ngIf="!!group.multiple_label">
            {{ group.multiple_label }} {{ i + 1 }}
          </h3>

          <div class="nested-form-group">
            <ng-container *ngTemplateOutlet="nestedFormGroupRenderer; context: {form: form, groups: group.groups, groupsControl: groupControl}"></ng-container>
          </div>

          <div class="text-center">
            <button
              type="button"
              class="btn btn-sm btn-danger remove-group"
              [swal]="{title: 'Are you sure?', text: 'Are you sure you want to remove that group?'}"
              (confirm)="removeGroup(i)"
            >
              <span class="fa fa-xmark"></span> {{ group.remove_button_label || 'Remove' }}
            </button>
          </div>
        </div>
      </div>
    </ng-container>
  </ng-container>

  <ng-container *ngIf="!group.multiple">
    <h3 [attr.data-scroll]="group.id" *ngIf="group.groups.length > 1">{{ group.label }}</h3>

    <div class="nested-form-group" *ngIf="!!groupsControl.get(group.id + '.answers')">
      <ng-container *ngTemplateOutlet="nestedFormGroupRenderer; context: {form: form, groups: group.groups, groupsControl: groupsControl.get(group.id + '.answers')}"></ng-container>
    </div>
  </ng-container>
</ng-container>
